## libindi 0.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.4.7)

set(INDI_VERSION "0.6")
set(INDI_SOVERSION "0")

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_modules/")
set(DATA_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/indi/")
set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include")

MESSAGE( STATUS "BIN_INSTALL_DIR: " ${BIN_INSTALL_DIR} )

Include (CheckCXXSourceCompiles)
include (MacroOptionalFindPackage)
include (MacroLogFeature)
include (MacroBoolTo01)
include (CheckIncludeFiles)

find_package(ZLIB REQUIRED)

macro_optional_find_package(USB)
macro_log_feature(LIBUSB_FOUND "libusb" "User level access to USB devices" "http://indi.sf.net" FALSE "" "Provides support for USB based drivers in INDI.")

macro_optional_find_package(CFITSIO)
macro_bool_to_01(CFITSIO_FOUND HAVE_CFITSIO_H)
macro_log_feature(CFITSIO_FOUND "libcfitsio" "A library for reading and writing data files in FITS (Flexible Image Transport System) data format" "http://indi.sf.net" FALSE "3.03" "Provides INDI with FITS I/O support.")


macro_optional_find_package(FLI)
macro_log_feature(FLI_FOUND "libfli" "Finger Lakes Instrument Library" "http://indi.sourceforge.net/" FALSE "1.71" "Provides INDI with support for controlling FLI CCDS & Filter Wheels.")

macro_optional_find_package(Nova)
macro_bool_to_01(NOVA_FOUND HAVE_NOVA_H)
macro_log_feature(NOVA_FOUND "libnova" "A general purpose, double precision, Celestial Mechanics, Astrometry and Astrodynamics library" "http://indi.sf.net" FALSE "0.12.1" "Provides INDI with astrodynamics library.")

check_include_files(linux/videodev2.h HAVE_LINUX_VIDEODEV2_H)
check_include_files(termios.h TERMIOS_FOUND)
macro_bool_to_01(TERMIOS_FOUND HAVE_TERMIOS_H)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )

include_directories( ${CMAKE_CURRENT_BINARY_DIR})
include_directories( ${CMAKE_SOURCE_DIR})
include_directories( ${CMAKE_SOURCE_DIR}/libs)
include_directories( ${CMAKE_SOURCE_DIR}/libs/webcam)

if (CFITSIO_FOUND)
  include_directories(${CFITSIO_INCLUDE_DIR})
endif (CFITSIO_FOUND)

if (NOVA_FOUND)
    include_directories(${NOVA_INCLUDE_DIR})
endif (NOVA_FOUND)

if (FLI_FOUND)
    include_directories(${FLI_INCLUDE_DIR})
endif (FLI_FOUND)

set(liblilxml_SRCS  ${CMAKE_SOURCE_DIR}/libs/lilxml.c )

set(libindicom_SRCS
	${CMAKE_SOURCE_DIR}/libs/indicom.c
	${CMAKE_SOURCE_DIR}/base64.c
	)

set(libwebcam_SRCS
	${CMAKE_SOURCE_DIR}/libs/webcam/PPort.cpp
	${CMAKE_SOURCE_DIR}/libs/webcam/port.cpp
	${CMAKE_SOURCE_DIR}/libs/webcam/v4l2_base.cpp
	${CMAKE_SOURCE_DIR}/libs/webcam/ccvt_c2.c
	${CMAKE_SOURCE_DIR}/libs/webcam/ccvt_misc.c
	)

set (indimain_SRCS
	${CMAKE_SOURCE_DIR}/indidrivermain.c
	${CMAKE_SOURCE_DIR}/eventloop.c
    )

######################################
########### INDI SERVER ##############
######################################

set(indiserver_SRCS indiserver.c fq.c)

add_executable(indiserver ${indiserver_SRCS}  ${liblilxml_SRCS})

target_link_libraries(indiserver  pthread )

if (NOVA_FOUND)
  target_link_libraries(indiserver ${NOVA_LIBRARIES})
endif (NOVA_FOUND)

install(TARGETS indiserver RUNTIME DESTINATION bin )

######################################
######## INDI Static Library #########
######################################
add_library(indidriver STATIC ${indimain_SRCS})
install(TARGETS indidriver ARCHIVE DESTINATION lib${LIB_POSTFIX})

######################################
######## INDI Shared Library #########
######################################
add_library(indi SHARED ${libindicom_SRCS} ${liblilxml_SRCS})
target_link_libraries(indi m z)

if (NOVA_FOUND)
target_link_libraries(indi ${NOVA_LIBRARIES})
endif(NOVA_FOUND)
if (CFITSIO_FOUND)
target_link_libraries(indi ${CFITSIO_LIBRARIES})
endif(CFITSIO_FOUND)
if (FLI_FOUND)
target_link_libraries(indi ${FLI_LIBRARIES})
endif(FLI_FOUND)

install(TARGETS indi LIBRARY DESTINATION lib${LIB_POSTFIX})
set_target_properties(indi PROPERTIES VERSION ${INDI_VERSION} SOVERSION ${INDI_SOVERSION})

#####################################
########## TELESCOPE GROUP ##########
#####################################

########### LX200 Basic #############
set(lx200basic_SRCS
   ${indimain_SRCS}
   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200driver.c
   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200basic.cpp )

add_executable(indi_lx200basic ${lx200basic_SRCS} ${liblilxml_SRCS} ${libindicom_SRCS})

if (NOVA_FOUND)
  target_link_libraries(indi_lx200basic ${NOVA_LIBRARIES})
endif (NOVA_FOUND)

install(TARGETS indi_lx200basic RUNTIME DESTINATION bin )

#################################################################################

########### LX200 Generic ###########
set(lx200generic_SRCS
   ${indimain_SRCS}
   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200driver.c
   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200autostar.cpp
   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200_16.cpp
   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200gps.cpp
   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200generic.cpp
   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200classic.cpp
   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200apdriver.c 
   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200ap.cpp )

add_executable(indi_lx200generic ${lx200generic_SRCS}  ${liblilxml_SRCS} ${libindicom_SRCS})

target_link_libraries(indi_lx200generic  m )

if (NOVA_FOUND)
  target_link_libraries(indi_lx200generic ${NOVA_LIBRARIES})
endif (NOVA_FOUND)

install(TARGETS indi_lx200generic RUNTIME DESTINATION bin )

file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/make_lx200generic_symlink.cmake 
"exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic ${BUILD_ROOT}${BIN_INSTALL_DIR}/indi_lx200classic)\n
exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic ${BUILD_ROOT}${BIN_INSTALL_DIR}/indi_lx200autostar)\n 
exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic ${BUILD_ROOT}${BIN_INSTALL_DIR}/indi_lx200_16)\n
exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic ${BUILD_ROOT}${BIN_INSTALL_DIR}/indi_lx200gps)\n
exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic ${BUILD_ROOT}${BIN_INSTALL_DIR}/indi_lx200ap)\n
")
set_target_properties(indi_lx200generic PROPERTIES POST_INSTALL_SCRIPT ${CMAKE_CURRENT_BINARY_DIR}/make_lx200generic_symlink.cmake)
#################################################################################

########### Celestron GPS ############
set(celestrongps_SRCS
   ${indimain_SRCS}
   ${CMAKE_SOURCE_DIR}/drivers/telescope/celestronprotocol.c
   ${CMAKE_SOURCE_DIR}/drivers/telescope/celestrongps.cpp )

add_executable(indi_celestron_gps ${celestrongps_SRCS} ${liblilxml_SRCS} ${libindicom_SRCS})

target_link_libraries(indi_celestron_gps m )

if (NOVA_FOUND)
  target_link_libraries(indi_celestron_gps ${NOVA_LIBRARIES})
endif (NOVA_FOUND)

install(TARGETS indi_celestron_gps RUNTIME DESTINATION bin )

#################################################################################

########### Orion Atlas #############
set(orionatlas_SRCS
   ${indimain_SRCS}
   ${CMAKE_SOURCE_DIR}/drivers/telescope/orionatlas.cpp )

add_executable(indi_orion_atlas ${orionatlas_SRCS}  ${liblilxml_SRCS} ${libindicom_SRCS})

#target_link_libraries(indi_orion_atlas ${KDE4_KDECORE_LIBS})

if (NOVA_FOUND)
  target_link_libraries(indi_orion_atlas ${NOVA_LIBRARIES})
endif (NOVA_FOUND)

install(TARGETS indi_orion_atlas RUNTIME DESTINATION bin )

#################################################################################

########### Takahashi Temma ##########
if (NOVA_FOUND)

set(temma_SRCS
   ${indimain_SRCS}
   ${CMAKE_SOURCE_DIR}/drivers/telescope/temmadriver.c )

add_executable(indi_temma ${temma_SRCS}  ${liblilxml_SRCS} ${libindicom_SRCS})

target_link_libraries(indi_temma  ${NOVA_LIBRARIES} m )

install(TARGETS indi_temma RUNTIME DESTINATION bin )

endif (NOVA_FOUND)
#################################################################################

########### Sky Commander #############
set(skycommander_SRCS
   ${indimain_SRCS}
   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200driver.c
   ${CMAKE_SOURCE_DIR}/drivers/telescope/skycommander.c )

add_executable(indi_skycommander ${skycommander_SRCS}  ${liblilxml_SRCS} ${libindicom_SRCS})

target_link_libraries(indi_skycommander  m )

if (NOVA_FOUND)
  target_link_libraries(indi_skycommander ${NOVA_LIBRARIES})
endif (NOVA_FOUND)

install(TARGETS indi_skycommander  RUNTIME DESTINATION bin )

#################################################################################

########### Intelliscope ###############
set(intelliscope_SRCS
   ${indimain_SRCS}
   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200driver.c
   ${CMAKE_SOURCE_DIR}/drivers/telescope/intelliscope.c )

add_executable(indi_intelliscope ${intelliscope_SRCS} ${liblilxml_SRCS} ${libindicom_SRCS})

target_link_libraries(indi_intelliscope  m )

if (NOVA_FOUND)
  target_link_libraries(indi_intelliscope ${NOVA_LIBRARIES})
endif (NOVA_FOUND)

install(TARGETS indi_intelliscope RUNTIME DESTINATION bin )

#####################################
########## FOCUSER GROUP ############
#####################################

###### FLI Precision Digital Focuser ######
if (FLI_FOUND)
set(flipdf_SRCS
	${indimain_SRCS}
	${CMAKE_SOURCE_DIR}/drivers/focuser/fli_pdf.c
)

add_executable(indi_fli_pdf ${flipdf_SRCS} ${liblilxml_SRCS} ${libindicom_SRCS})

target_link_libraries(indi_fli_pdf m ${FLI_LIBRARIES})

if (NOVA_FOUND)
  target_link_libraries(indi_fli_pdf ${NOVA_LIBRARIES})
endif (NOVA_FOUND)

install(TARGETS indi_fli_pdf RUNTIME DESTINATION bin )
endif(FLI_FOUND)
#################################################################################

################ Robo Focuser ################

set(robofocus_SRCS
	${indimain_SRCS}
	${CMAKE_SOURCE_DIR}/drivers/focuser/robofocus.c
	${CMAKE_SOURCE_DIR}/drivers/focuser/robofocusdriver.c
   )

add_executable(indi_robofocus ${robofocus_SRCS} ${liblilxml_SRCS} ${libindicom_SRCS})

target_link_libraries(indi_robofocus m)

if (NOVA_FOUND)
  target_link_libraries(indi_robofocus ${NOVA_LIBRARIES})
endif (NOVA_FOUND)

install(TARGETS indi_robofocus RUNTIME DESTINATION bin )

#################################################################################

#####################################
######## FILTER WHEEL GROUP #########
#####################################

########## True Technology Wheel ############
set(trutechwheel_SRCS
	${indimain_SRCS}
	${CMAKE_SOURCE_DIR}/drivers/filter_wheel/trutech_wheel.c
   )

add_executable(indi_trutech_wheel ${trutechwheel_SRCS}  ${liblilxml_SRCS} ${libindicom_SRCS})

target_link_libraries(indi_trutech_wheel  m)

if (NOVA_FOUND)
  target_link_libraries(indi_trutech_wheel ${NOVA_LIBRARIES})
endif (NOVA_FOUND)

install(TARGETS indi_trutech_wheel RUNTIME DESTINATION bin )

#################################################################################

########## FLI Filter Wheel ############
if (FLI_FOUND)
set(fliwheel_SRCS
	${indimain_SRCS}
	${CMAKE_SOURCE_DIR}/drivers/filter_wheel/fli_wheel.c
   )

add_executable(indi_fli_wheel ${fliwheel_SRCS}  ${liblilxml_SRCS} ${libindicom_SRCS})

target_link_libraries(indi_fli_wheel ${FLI_LIBRARIES} m)

if (NOVA_FOUND)
  target_link_libraries(indi_fli_wheel ${NOVA_LIBRARIES})
endif (NOVA_FOUND)

install(TARGETS indi_fli_wheel RUNTIME DESTINATION bin )
endif (FLI_FOUND)
#################################################################################

#######################################
############# CCD GROUP ###############
#######################################

############# FLI CCD ###############
if (CFITSIO_FOUND AND FLI_FOUND)

set(fliccd_SRCS
	${indimain_SRCS}
	${CMAKE_SOURCE_DIR}/drivers/ccd/fli_ccd.c
)

add_executable(indi_fli_ccd ${fliccd_SRCS} ${liblilxml_SRCS} ${libindicom_SRCS})

target_link_libraries(indi_fli_ccd ${FLI_LIBRARIES} ${CFITSIO_LIBRARIES} m z)

if (NOVA_FOUND)
  target_link_libraries(indi_fli_ccd ${NOVA_LIBRARIES})

## libindi 0.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,16 @@
 cmake_minimum_required(VERSION 2.4.7)
 
+
+##################  INDI version  ################################
 set(INDI_VERSION "0.6")
 set(INDI_SOVERSION "0")
 
+set(CMAKE_INDI_VERSION_MAJOR 0)
+set(CMAKE_INDI_VERSION_MINOR 6)
+set(CMAKE_INDI_VERSION_RELEASE 1)
+set(CMAKE_INDI_VERSION_STRING "${CMAKE_INDI_VERSION_MAJOR}.${CMAKE_INDI_VERSION_MINOR}.${CMAKE_INDI_VERSION_RELEASE}")
+
+##################  Paths  ################################
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake_modules/")
 set(DATA_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/indi/")
 set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
@@ -10,6 +18,14 @@
 
 MESSAGE( STATUS "BIN_INSTALL_DIR: " ${BIN_INSTALL_DIR} )
 
+##################  setup install directories  ################################
+set (LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
+set (LIB_DESTINATION "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" CACHE STRING "Library directory name")
+## the following are directories where stuff will be installed to
+set(INCLUDE_INSTALL_DIR      "${CMAKE_INSTALL_PREFIX}/include/" CACHE PATH "The subdirectory to the header prefix")
+set(PKGCONFIG_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/pkgconfig/" CACHE STRING "Base directory for pkgconfig files")
+
+##################  Includes  ################################
 Include (CheckCXXSourceCompiles)
 include (MacroOptionalFindPackage)
 include (MacroLogFeature)
@@ -22,6 +38,11 @@
 macro_log_feature(LIBUSB_FOUND "libusb" "User level access to USB devices" "http://indi.sf.net" FALSE "" "Provides support for USB based drivers in INDI.")
 
 macro_optional_find_package(CFITSIO)
+
+if (NOT CFITSIO_FOUND OR CFITSIO_VERSION_MAJOR LESS 3)
+  message(FATAL_ERROR "CFITSIO version too old, Please install cfitsio 3.x and try again. http://indi.sf.net")
+endif (NOT CFITSIO_FOUND OR CFITSIO_VERSION_MAJOR LESS 3)
+
 macro_bool_to_01(CFITSIO_FOUND HAVE_CFITSIO_H)
 macro_log_feature(CFITSIO_FOUND "libcfitsio" "A library for reading and writing data files in FITS (Flexible Image Transport System) data format" "http://indi.sf.net" FALSE "3.03" "Provides INDI with FITS I/O support.")
 
@@ -146,7 +167,7 @@
    ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200gps.cpp
    ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200generic.cpp
    ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200classic.cpp
-   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200apdriver.c 
+   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200apdriver.c
    ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200ap.cpp )
 
 add_executable(indi_lx200generic ${lx200generic_SRCS}  ${liblilxml_SRCS} ${libindicom_SRCS})
@@ -159,9 +180,9 @@
 
 install(TARGETS indi_lx200generic RUNTIME DESTINATION bin )
 
-file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/make_lx200generic_symlink.cmake 
+file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/make_lx200generic_symlink.cmake
 "exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic ${BUILD_ROOT}${BIN_INSTALL_DIR}/indi_lx200classic)\n
-exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic ${BUILD_ROOT}${BIN_INSTALL_DIR}/indi_lx200autostar)\n 
+exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic ${BUILD_ROOT}${BIN_INSTALL_DIR}/indi_lx200autostar)\n
 exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic ${BUILD_ROOT}${BIN_INSTALL_DIR}/indi_lx200_16)\n
 exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic ${BUILD_ROOT}${BIN_INSTALL_DIR}/indi_lx200gps)\n
 exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic ${BUILD_ROOT}${BIN_INSTALL_DIR}/indi_lx200ap)\n
@@ -314,45 +335,3 @@
 if (NOVA_FOUND)
   target_link_libraries(indi_trutech_wheel ${NOVA_LIBRARIES})
 endif (NOVA_FOUND)
-
-install(TARGETS indi_trutech_wheel RUNTIME DESTINATION bin )
-
-#################################################################################
-
-########## FLI Filter Wheel ############
-if (FLI_FOUND)
-set(fliwheel_SRCS
-	${indimain_SRCS}
-	${CMAKE_SOURCE_DIR}/drivers/filter_wheel/fli_wheel.c
-   )
-
-add_executable(indi_fli_wheel ${fliwheel_SRCS}  ${liblilxml_SRCS} ${libindicom_SRCS})
-
-target_link_libraries(indi_fli_wheel ${FLI_LIBRARIES} m)
-
-if (NOVA_FOUND)
-  target_link_libraries(indi_fli_wheel ${NOVA_LIBRARIES})
-endif (NOVA_FOUND)
-
-install(TARGETS indi_fli_wheel RUNTIME DESTINATION bin )
-endif (FLI_FOUND)
-#################################################################################
-
-#######################################
-############# CCD GROUP ###############
-#######################################
-
-############# FLI CCD ###############
-if (CFITSIO_FOUND AND FLI_FOUND)
-
-set(fliccd_SRCS
-	${indimain_SRCS}
-	${CMAKE_SOURCE_DIR}/drivers/ccd/fli_ccd.c
-)
-
-add_executable(indi_fli_ccd ${fliccd_SRCS} ${liblilxml_SRCS} ${libindicom_SRCS})
-
-target_link_libraries(indi_fli_ccd ${FLI_LIBRARIES} ${CFITSIO_LIBRARIES} m z)
-
-if (NOVA_FOUND)
-  target_link_libraries(indi_fli_ccd ${NOVA_LIBRARIES})

## libindi 0.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,10 @@
 cmake_minimum_required(VERSION 2.4.7)
 
-
 ##################  INDI version  ################################
-set(INDI_VERSION "0.6")
 set(INDI_SOVERSION "0")
-
 set(CMAKE_INDI_VERSION_MAJOR 0)
-set(CMAKE_INDI_VERSION_MINOR 6)
-set(CMAKE_INDI_VERSION_RELEASE 1)
+set(CMAKE_INDI_VERSION_MINOR 8)
+set(CMAKE_INDI_VERSION_RELEASE 0)
 set(CMAKE_INDI_VERSION_STRING "${CMAKE_INDI_VERSION_MAJOR}.${CMAKE_INDI_VERSION_MINOR}.${CMAKE_INDI_VERSION_RELEASE}")
 
 ##################  Paths  ################################
@@ -34,21 +31,24 @@
 
 find_package(ZLIB REQUIRED)
 
+FIND_PACKAGE(Boost)
+IF (BOOST_FOUND)
+    INCLUDE_DIRECTORIES(${BOOST_INCLUDE_DIR})
+ENDIF()
+
+
 macro_optional_find_package(USB)
-macro_log_feature(LIBUSB_FOUND "libusb" "User level access to USB devices" "http://indi.sf.net" FALSE "" "Provides support for USB based drivers in INDI.")
+macro_log_feature(LIBUSB_FOUND "libusb" "User level access to USB devices" "http://www.libusb.org" FALSE "" "Provides support for USB based drivers in INDI.")
 
 macro_optional_find_package(CFITSIO)
 
 if (NOT CFITSIO_FOUND OR CFITSIO_VERSION_MAJOR LESS 3)
-  message(FATAL_ERROR "CFITSIO version too old, Please install cfitsio 3.x and try again. http://indi.sf.net")
+  message(FATAL_ERROR "CFITSIO version too old, Please install cfitsio 3.x and try again. http://heasarc.gsfc.nasa.gov/fitsio/fitsio.html")
 endif (NOT CFITSIO_FOUND OR CFITSIO_VERSION_MAJOR LESS 3)
 
 macro_bool_to_01(CFITSIO_FOUND HAVE_CFITSIO_H)
 macro_log_feature(CFITSIO_FOUND "libcfitsio" "A library for reading and writing data files in FITS (Flexible Image Transport System) data format" "http://indi.sf.net" FALSE "3.03" "Provides INDI with FITS I/O support.")
 
-
-macro_optional_find_package(FLI)
-macro_log_feature(FLI_FOUND "libfli" "Finger Lakes Instrument Library" "http://indi.sourceforge.net/" FALSE "1.71" "Provides INDI with support for controlling FLI CCDS & Filter Wheels.")
 
 macro_optional_find_package(Nova)
 macro_bool_to_01(NOVA_FOUND HAVE_NOVA_H)
@@ -59,6 +59,10 @@
 macro_bool_to_01(TERMIOS_FOUND HAVE_TERMIOS_H)
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
+
+if(COMMAND cmake_policy)
+ cmake_policy(SET CMP0003 NEW)
+endif(COMMAND cmake_policy)
 
 include_directories( ${CMAKE_CURRENT_BINARY_DIR})
 include_directories( ${CMAKE_SOURCE_DIR})
@@ -72,10 +76,6 @@
 if (NOVA_FOUND)
     include_directories(${NOVA_INCLUDE_DIR})
 endif (NOVA_FOUND)
-
-if (FLI_FOUND)
-    include_directories(${FLI_INCLUDE_DIR})
-endif (FLI_FOUND)
 
 set(liblilxml_SRCS  ${CMAKE_SOURCE_DIR}/libs/lilxml.c )
 
@@ -93,10 +93,27 @@
 	)
 
 set (indimain_SRCS
+        ${CMAKE_SOURCE_DIR}/indidriver.c
 	${CMAKE_SOURCE_DIR}/indidrivermain.c
 	${CMAKE_SOURCE_DIR}/eventloop.c
     )
 
+set (indiclient_SRCS
+        ${CMAKE_SOURCE_DIR}/libs/indibase/basedriver.cpp
+        ${CMAKE_SOURCE_DIR}/libs/indibase/baseclient.cpp
+    )
+
+set (indidriver_SRCS
+        ${CMAKE_SOURCE_DIR}/libs/indibase/basedriver.cpp
+        ${CMAKE_SOURCE_DIR}/libs/indibase/defaultdriver.cpp
+        ${CMAKE_SOURCE_DIR}/libs/indibase/indiccd.cpp
+        ${CMAKE_SOURCE_DIR}/libs/indibase/inditelescope.cpp
+        ${CMAKE_SOURCE_DIR}/libs/indibase/indifilterwheel.cpp
+        ${CMAKE_SOURCE_DIR}/libs/indibase/indifocuser.cpp
+        ${CMAKE_SOURCE_DIR}/libs/indibase/indiusbdevice.cpp
+    )
+
+
 ######################################
 ########### INDI SERVER ##############
 ######################################
@@ -113,15 +130,11 @@
 
 install(TARGETS indiserver RUNTIME DESTINATION bin )
 
-######################################
-######## INDI Static Library #########
-######################################
-add_library(indidriver STATIC ${indimain_SRCS})
-install(TARGETS indidriver ARCHIVE DESTINATION lib${LIB_POSTFIX})
-
-######################################
-######## INDI Shared Library #########
-######################################
+#################################################
+############# INDI Shared Library ###############
+# To offer lilxml and communination routines    #
+# Mostly used by generic clients                #
+#################################################
 add_library(indi SHARED ${libindicom_SRCS} ${liblilxml_SRCS})
 target_link_libraries(indi m z)
 
@@ -131,12 +144,30 @@
 if (CFITSIO_FOUND)
 target_link_libraries(indi ${CFITSIO_LIBRARIES})
 endif(CFITSIO_FOUND)
-if (FLI_FOUND)
-target_link_libraries(indi ${FLI_LIBRARIES})
-endif(FLI_FOUND)
 
 install(TARGETS indi LIBRARY DESTINATION lib${LIB_POSTFIX})
-set_target_properties(indi PROPERTIES VERSION ${INDI_VERSION} SOVERSION ${INDI_SOVERSION})
+set_target_properties(indi PROPERTIES VERSION ${CMAKE_INDI_VERSION_STRING} SOVERSION ${INDI_SOVERSION})
+
+##################################################
+############ INDI Main Static Library ############
+# To link with main() for 3rd party drivers      #
+##################################################
+add_library(indimain STATIC ${indimain_SRCS})
+install(TARGETS indimain ARCHIVE DESTINATION lib${LIB_POSTFIX})
+
+##################################################
+###### INDI Default Driver Static Library ########
+# To link with main() and indibase classes       #
+##################################################
+add_library(indidriver STATIC ${indimain_SRCS} ${indidriver_SRCS})
+install(TARGETS indidriver ARCHIVE DESTINATION lib${LIB_POSTFIX})
+
+##################################################
+########### INDI Client Static Library ###########
+##################################################
+add_library(indiclient STATIC ${indiclient_SRCS})
+target_link_libraries(indiclient indi pthread)
+install(TARGETS indiclient ARCHIVE DESTINATION lib${LIB_POSTFIX})
 
 #####################################
 ########## TELESCOPE GROUP ##########
@@ -200,6 +231,7 @@
 
 target_link_libraries(indi_celestron_gps m )
 
+
 if (NOVA_FOUND)
   target_link_libraries(indi_celestron_gps ${NOVA_LIBRARIES})
 endif (NOVA_FOUND)
@@ -275,63 +307,16 @@
 
 install(TARGETS indi_intelliscope RUNTIME DESTINATION bin )
 
-#####################################
-########## FOCUSER GROUP ############
-#####################################
-
-###### FLI Precision Digital Focuser ######
-if (FLI_FOUND)
-set(flipdf_SRCS
-	${indimain_SRCS}
-	${CMAKE_SOURCE_DIR}/drivers/focuser/fli_pdf.c
-)
-
-add_executable(indi_fli_pdf ${flipdf_SRCS} ${liblilxml_SRCS} ${libindicom_SRCS})
-
-target_link_libraries(indi_fli_pdf m ${FLI_LIBRARIES})
-
-if (NOVA_FOUND)
-  target_link_libraries(indi_fli_pdf ${NOVA_LIBRARIES})
-endif (NOVA_FOUND)
-
-install(TARGETS indi_fli_pdf RUNTIME DESTINATION bin )
-endif(FLI_FOUND)
-#################################################################################
-
-################ Robo Focuser ################
-
-set(robofocus_SRCS
-	${indimain_SRCS}
-	${CMAKE_SOURCE_DIR}/drivers/focuser/robofocus.c
-	${CMAKE_SOURCE_DIR}/drivers/focuser/robofocusdriver.c
-   )
-
-add_executable(indi_robofocus ${robofocus_SRCS} ${liblilxml_SRCS} ${libindicom_SRCS})
-
-target_link_libraries(indi_robofocus m)
-
-if (NOVA_FOUND)
-  target_link_libraries(indi_robofocus ${NOVA_LIBRARIES})
-endif (NOVA_FOUND)
-
-install(TARGETS indi_robofocus RUNTIME DESTINATION bin )
-
-#################################################################################
-
-#####################################
-######## FILTER WHEEL GROUP #########
-#####################################
-
-########## True Technology Wheel ############
-set(trutechwheel_SRCS
-	${indimain_SRCS}
-	${CMAKE_SOURCE_DIR}/drivers/filter_wheel/trutech_wheel.c
-   )
-
-add_executable(indi_trutech_wheel ${trutechwheel_SRCS}  ${liblilxml_SRCS} ${libindicom_SRCS})
-
-target_link_libraries(indi_trutech_wheel  m)
-
-if (NOVA_FOUND)
-  target_link_libraries(indi_trutech_wheel ${NOVA_LIBRARIES})
-endif (NOVA_FOUND)
+########### Syncscan ###############
+set(synscan_SRCS
+   ${indimain_SRCS}
+   ${CMAKE_SOURCE_DIR}/drivers/telescope/synscanmount.cpp )
+
+add_executable(indi_synscan ${synscan_SRCS} ${liblilxml_SRCS} ${libindicom_SRCS})
+
+target_link_libraries(indi_synscan indidriver m z)
+
+if (NOVA_FOUND)
+  target_link_libraries(indi_synscan ${NOVA_LIBRARIES})
+endif (NOVA_FOUND)
+

=== debian/changelog ===
libindi (0.8-1ubuntu1) precise; urgency=low

  * Merge with Debian, remaining changes:
   - indi-bin replaces/conflicts old indi
   - indi-data replaces/conflicts old indi
   - Version boost build-depends
   - Add build-dep on libfli-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 09 Dec 2011 11:14:22 +0000

libindi (0.8-1) unstable; urgency=low

  * Initial release.
  * Add patches:
    - format-security.diff: fix string literals for snprintf() invocations
    - libdir.diff: respect the LIB_DESTINATION cmake variable
    - destdir.diff: respect the DESTDIR envvar
    - fix-pkgconfig.diff: fix some issues in the .pc pkg-config file

 -- Pino Toscano <pino@debian.org>  Sat, 01 Oct 2011 19:40:46 +0200

libindi (0.8-0ubuntu1) oneiric; urgency=low

  [ Rohan Garg ]
  * New upstream release
    - Add boost to build deps
    - Bump soversion to 0.8

  [ Jonathan Riddell ]
  * Use source format 3.0
  * Add kubuntu_01_link_pthreads.diff to fix linking with pthreads

  [ Jonathan Thomas ]
  * Change Maintainer from MOTU to Ubuntu Developers

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 14 Jul 2011 18:18:04 +0200

libindi (0.6.1-0ubuntu2) maverick; urgency=low

  * Install pkg-config file
  * Install libindi.so.0
  * Point to full LGPL text in debian/copyright

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 11 Jun 2010 12:16:05 +0100

libindi (0.6.1-0ubuntu1) maverick; urgency=low

  * New upstream release
  * Remove .svn dir from debian/
  * Remove dh-make templates for debian/

 -- Scott Kitterman <scott@kitterman.com>  Fri, 11 Jun 2010 00:35:17 -0400

libindi (0.6-0ubuntu2) lucid; urgency=low

  * rebuild rest of main for armel armv7/thumb2 optimization;
    UbuntuSpec:mobile-lucid-arm-gcc-v7-thumb2

 -- Alexander Sack <asac@ubuntu.com>  Sat, 06 Mar 2010 13:34:55 +0100

libindi (0.6-0ubuntu1) jaunty; urgency=low

  * Update packaging for upload

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 13 Feb 2009 20:26:22 +0000

libindi (0.6) gutsy; urgency=low

  * Initial release

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Fri, 3 Oct 2008 21:00:00 +0300

libindi (0.6.1-0ubuntu1) lucid; urgency=low

  * New upstream release.

 -- Jasem Mutlaq <mutlaqja@ikarustech.com>  Sun, 18 Jul 2010 08:51:33 -0700

=== debian/control ===
Source: libindi
Section: misc
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: debhelper (>= 8.1.3~),
 cmake (>= 2.4.7),
 libboost1.46-dev,
 libcfitsio3-dev,
 libnova-dev,
 libusb-dev,
 zlib1g-dev,
 libfli-dev
Standards-Version: 3.9.2
Homepage: http://www.indilib.org/
Vcs-Git: git://anonscm.debian.org/pkg-kde/krap/libindi.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/krap/libindi.git

Package: libindi0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libindi-data (>= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Suggests: indi-bin (>= ${source:Version})
Multi-Arch: same
Description: Instrument-Neutral Device Interface library -- shared library
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains the shared library.

Package: libindi-dev
Section: libdevel
Architecture: any
Depends: libindi0 (= ${binary:Version}), ${misc:Depends},
 libboost-dev, libusb-dev
Description: Instrument-Neutral Device Interface library -- development files
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains development headers and libraries for the INDI library.

Package: libindi-data
Architecture: all
Depends: ${misc:Depends}
Conflicts: indi
Replaces: indi
Multi-Arch: foreign
Description: Instrument-Neutral Device Interface library -- shared data
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains the data files for the INDI library.

Package: indi-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libindi-data (>= ${source:Version})
Conflicts: indi
Replaces: indi
Description: INDI server, drivers and tools
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains the INDI server, the drivers for the supported
 astronomical instrumentation, and other INDI tools.

Package: indi-dbg
Priority: extra
Section: debug
Architecture: any
Depends: libindi0 (= ${binary:Version}), ${misc:Depends}
Suggests: indi-bin (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: Instrument-Neutral Device Interface library -- debug symbols
 INDI (Instrument-Neutral Device Interface) is a distributed XML-based
 control protocol designed to operate astronomical instrumentation.
 INDI is small, flexible, easy to parse, scalable, and stateless.
 It supports common DCS functions such as remote control, data acquisition,
 monitoring, and a lot more.
 .
 This package contains the debug symbols for the INDI library and all the
 utilities, useful to investigate problems in INDI.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_DESTINATION=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_strip:
	dh_strip --dbg-package=indi-dbg

## libindi 0.9

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,10 @@
 cmake_minimum_required(VERSION 2.4.7)
+PROJECT(libindi C CXX)
 
 ##################  INDI version  ################################
 set(INDI_SOVERSION "0")
 set(CMAKE_INDI_VERSION_MAJOR 0)
-set(CMAKE_INDI_VERSION_MINOR 8)
+set(CMAKE_INDI_VERSION_MINOR 9)
 set(CMAKE_INDI_VERSION_RELEASE 0)
 set(CMAKE_INDI_VERSION_STRING "${CMAKE_INDI_VERSION_MAJOR}.${CMAKE_INDI_VERSION_MINOR}.${CMAKE_INDI_VERSION_RELEASE}")
 
@@ -12,8 +13,6 @@
 set(DATA_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/indi/")
 set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
 set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include")
-
-MESSAGE( STATUS "BIN_INSTALL_DIR: " ${BIN_INSTALL_DIR} )
 
 ##################  setup install directories  ################################
 set (LIB_SUFFIX "" CACHE STRING "Define suffix of directory name (32/64)" )
@@ -29,30 +28,20 @@
 include (MacroBoolTo01)
 include (CheckIncludeFiles)
 
-find_package(ZLIB REQUIRED)
-
-FIND_PACKAGE(Boost)
-IF (BOOST_FOUND)
-    INCLUDE_DIRECTORIES(${BOOST_INCLUDE_DIR})
-ENDIF()
-
-
-macro_optional_find_package(USB)
-macro_log_feature(LIBUSB_FOUND "libusb" "User level access to USB devices" "http://www.libusb.org" FALSE "" "Provides support for USB based drivers in INDI.")
-
-macro_optional_find_package(CFITSIO)
+FIND_PACKAGE(ZLIB REQUIRED)
+FIND_PACKAGE(USB REQUIRED)
+FIND_PACKAGE(CFITSIO REQUIRED)
 
 if (NOT CFITSIO_FOUND OR CFITSIO_VERSION_MAJOR LESS 3)
   message(FATAL_ERROR "CFITSIO version too old, Please install cfitsio 3.x and try again. http://heasarc.gsfc.nasa.gov/fitsio/fitsio.html")
 endif (NOT CFITSIO_FOUND OR CFITSIO_VERSION_MAJOR LESS 3)
 
 macro_bool_to_01(CFITSIO_FOUND HAVE_CFITSIO_H)
-macro_log_feature(CFITSIO_FOUND "libcfitsio" "A library for reading and writing data files in FITS (Flexible Image Transport System) data format" "http://indi.sf.net" FALSE "3.03" "Provides INDI with FITS I/O support.")
-
+macro_log_feature(CFITSIO_FOUND "libcfitsio" "A library for reading and writing data files in FITS (Flexible Image Transport System) data format" "http://heasarc.gsfc.nasa.gov/fitsio/fitsio.html" FALSE "3.03" "Provides INDI with FITS I/O support.")
 
 macro_optional_find_package(Nova)
 macro_bool_to_01(NOVA_FOUND HAVE_NOVA_H)
-macro_log_feature(NOVA_FOUND "libnova" "A general purpose, double precision, Celestial Mechanics, Astrometry and Astrodynamics library" "http://indi.sf.net" FALSE "0.12.1" "Provides INDI with astrodynamics library.")
+macro_log_feature(NOVA_FOUND "libnova" "A general purpose, double precision, Celestial Mechanics, Astrometry and Astrodynamics library" "http://libnova.sourceforge.net" FALSE "0.12.1" "Provides INDI with astrodynamics library.")
 
 check_include_files(linux/videodev2.h HAVE_LINUX_VIDEODEV2_H)
 check_include_files(termios.h TERMIOS_FOUND)
@@ -111,6 +100,9 @@
         ${CMAKE_SOURCE_DIR}/libs/indibase/indifilterwheel.cpp
         ${CMAKE_SOURCE_DIR}/libs/indibase/indifocuser.cpp
         ${CMAKE_SOURCE_DIR}/libs/indibase/indiusbdevice.cpp
+        ${CMAKE_SOURCE_DIR}/libs/indibase/indiguiderinterface.cpp
+        ${CMAKE_SOURCE_DIR}/libs/indibase/indifilterinterface.cpp
+
     )
 
 
@@ -120,15 +112,15 @@
 
 set(indiserver_SRCS indiserver.c fq.c)
 
-add_executable(indiserver ${indiserver_SRCS}  ${liblilxml_SRCS})
-
-target_link_libraries(indiserver  pthread )
+add_executable(indiserver ${indiserver_SRCS} ${liblilxml_SRCS})
+
+target_link_libraries(indiserver pthread)
 
 if (NOVA_FOUND)
   target_link_libraries(indiserver ${NOVA_LIBRARIES})
 endif (NOVA_FOUND)
 
-install(TARGETS indiserver RUNTIME DESTINATION bin )
+install(TARGETS indiserver RUNTIME DESTINATION bin)
 
 #################################################
 ############# INDI Shared Library ###############
@@ -145,7 +137,7 @@
 target_link_libraries(indi ${CFITSIO_LIBRARIES})
 endif(CFITSIO_FOUND)
 
-install(TARGETS indi LIBRARY DESTINATION lib${LIB_POSTFIX})
+install(TARGETS indi LIBRARY DESTINATION ${LIB_DESTINATION})
 set_target_properties(indi PROPERTIES VERSION ${CMAKE_INDI_VERSION_STRING} SOVERSION ${INDI_SOVERSION})
 
 ##################################################
@@ -153,21 +145,21 @@
 # To link with main() for 3rd party drivers      #
 ##################################################
 add_library(indimain STATIC ${indimain_SRCS})
-install(TARGETS indimain ARCHIVE DESTINATION lib${LIB_POSTFIX})
+install(TARGETS indimain ARCHIVE DESTINATION ${LIB_DESTINATION})
 
 ##################################################
 ###### INDI Default Driver Static Library ########
 # To link with main() and indibase classes       #
 ##################################################
 add_library(indidriver STATIC ${indimain_SRCS} ${indidriver_SRCS})
-install(TARGETS indidriver ARCHIVE DESTINATION lib${LIB_POSTFIX})
+install(TARGETS indidriver ARCHIVE DESTINATION ${LIB_DESTINATION})
 
 ##################################################
 ########### INDI Client Static Library ###########
 ##################################################
 add_library(indiclient STATIC ${indiclient_SRCS})
 target_link_libraries(indiclient indi pthread)
-install(TARGETS indiclient ARCHIVE DESTINATION lib${LIB_POSTFIX})
+install(TARGETS indiclient ARCHIVE DESTINATION ${LIB_DESTINATION})
 
 #####################################
 ########## TELESCOPE GROUP ##########
@@ -199,7 +191,8 @@
    ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200generic.cpp
    ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200classic.cpp
    ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200apdriver.c
-   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200ap.cpp )
+   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200ap.cpp 
+   ${CMAKE_SOURCE_DIR}/drivers/telescope/lx200fs2.cpp)
 
 add_executable(indi_lx200generic ${lx200generic_SRCS}  ${liblilxml_SRCS} ${libindicom_SRCS})
 
@@ -212,11 +205,12 @@
 install(TARGETS indi_lx200generic RUNTIME DESTINATION bin )
 
 file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/make_lx200generic_symlink.cmake
-"exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic ${BUILD_ROOT}${BIN_INSTALL_DIR}/indi_lx200classic)\n
-exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic ${BUILD_ROOT}${BIN_INSTALL_DIR}/indi_lx200autostar)\n
-exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic ${BUILD_ROOT}${BIN_INSTALL_DIR}/indi_lx200_16)\n
-exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic ${BUILD_ROOT}${BIN_INSTALL_DIR}/indi_lx200gps)\n
-exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic ${BUILD_ROOT}${BIN_INSTALL_DIR}/indi_lx200ap)\n
+"exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200classic)\n
+exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200autostar)\n
+exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200_16)\n
+exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200gps)\n
+exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200ap)\n
+exec_program(${CMAKE_COMMAND} ARGS -E create_symlink ${BIN_INSTALL_DIR}/indi_lx200generic \$ENV{DESTDIR}${BIN_INSTALL_DIR}/indi_lx200fs2)\n
 ")
 set_target_properties(indi_lx200generic PROPERTIES POST_INSTALL_SCRIPT ${CMAKE_CURRENT_BINARY_DIR}/make_lx200generic_symlink.cmake)
 #################################################################################
@@ -317,6 +311,3 @@
 target_link_libraries(indi_synscan indidriver m z)
 
 if (NOVA_FOUND)
-  target_link_libraries(indi_synscan ${NOVA_LIBRARIES})
-endif (NOVA_FOUND)
-

=== debian/changelog ===
libindi (0.9-1) unstable; urgency=low

  * New upstream release:
    - provides the fix by Nobuhiro Iwamatsu (thanks!) for compiling on SuperH.
      (Closes: #644456)
  * Update the patches:
    - destdir.diff: drop, applied upstream
    - fix-pkgconfig.diff: drop, applied upstream
    - format-security.diff: drop, applied upstream
    - libdir.diff: refresh, dropping the applied parts
  * boost is no more a dependency, so remove libboost-dev from the the build
    dependencies and from the libindi-dev dependencies.
  * libindi-dev: add dependency on libcfitsio3-dev, as cfitsio headers are
    included in public headers.
  * Update copyright.
  * Upstream does not keep a stable ABI while not bumping the SONAME, so:
    - bump the SONAME to 0a (patch abi.diff)
    - rename libindi0 to libindi0a
    - drop the symbols file of libindi, "replaced" by a tight shlibs

 -- Pino Toscano <pino@debian.org>  Mon, 16 Jan 2012 17:16:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,20 @@
 Source: libindi
 Section: misc
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: debhelper (>= 8.1.3~),
  cmake (>= 2.4.7),
- libboost1.46-dev,
  libcfitsio3-dev,
  libnova-dev,
  libusb-dev,
- zlib1g-dev,
- libfli-dev
+ zlib1g-dev
 Standards-Version: 3.9.2
 Homepage: http://www.indilib.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/krap/libindi.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/krap/libindi.git
 
-Package: libindi0
+Package: libindi0a
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
@@ -37,8 +34,8 @@
 Package: libindi-dev
 Section: libdevel
 Architecture: any
-Depends: libindi0 (= ${binary:Version}), ${misc:Depends},
- libboost-dev, libusb-dev
+Depends: libindi0a (= ${binary:Version}), ${misc:Depends},
+ libusb-dev, libcfitsio3-dev
 Description: Instrument-Neutral Device Interface library -- development files
  INDI (Instrument-Neutral Device Interface) is a distributed XML-based
  control protocol designed to operate astronomical instrumentation.
@@ -51,8 +48,6 @@
 Package: libindi-data
 Architecture: all
 Depends: ${misc:Depends}
-Conflicts: indi
-Replaces: indi
 Multi-Arch: foreign
 Description: Instrument-Neutral Device Interface library -- shared data
  INDI (Instrument-Neutral Device Interface) is a distributed XML-based
@@ -67,8 +62,6 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  libindi-data (>= ${source:Version})
-Conflicts: indi
-Replaces: indi
 Description: INDI server, drivers and tools
  INDI (Instrument-Neutral Device Interface) is a distributed XML-based
  control protocol designed to operate astronomical instrumentation.
@@ -83,7 +76,7 @@
 Priority: extra
 Section: debug
 Architecture: any
-Depends: libindi0 (= ${binary:Version}), ${misc:Depends}
+Depends: libindi0a (= ${binary:Version}), ${misc:Depends}
 Suggests: indi-bin (= ${binary:Version})
 Pre-Depends: ${misc:Pre-Depends}
 Description: Instrument-Neutral Device Interface library -- debug symbols

## libindi 0.9.1

=== debian/changelog ===
libindi (0.9.1-2ubuntu1) quantal; urgency=low

  * Resynchronize with Debian. Remaining change:
  * Build-depend on libfli-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 19 Jun 2012 10:03:46 -0400

libindi (0.9.1-2) unstable; urgency=low

  * Release to unstable.
  * Bump the libnova-dev build dependency to >= 0.14.0. (Not really needed,
    but makes sure it is built with an up-to-date libnova.)

 -- Pino Toscano <pino@debian.org>  Sun, 25 Mar 2012 15:08:06 +0200

libindi (0.9.1-1) experimental; urgency=low

  * New upstream release.
  * It seems ABI is broken (new virtual method), so:
    - bump the SONAME to 0b (update patch abi.diff)
    - rename libindi0a to libindi0b
  * Bump Standards-Version to 3.9.3, no changes required.
  * Switch copyright to copyright-format 1.0.

 -- Pino Toscano <pino@debian.org>  Fri, 23 Mar 2012 13:20:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,22 @@
 Source: libindi
 Section: misc
 Priority: optional
-Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: debhelper (>= 8.1.3~),
  cmake (>= 2.4.7),
  libcfitsio3-dev,
- libnova-dev,
+ libfli-dev,
+ libnova-dev (>= 0.14.0),
  libusb-dev,
  zlib1g-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.indilib.org/
 Vcs-Git: git://anonscm.debian.org/pkg-kde/krap/libindi.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/krap/libindi.git
 
-Package: libindi0a
+Package: libindi0b
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
@@ -34,7 +36,7 @@
 Package: libindi-dev
 Section: libdevel
 Architecture: any
-Depends: libindi0a (= ${binary:Version}), ${misc:Depends},
+Depends: libindi0b (= ${binary:Version}), ${misc:Depends},
  libusb-dev, libcfitsio3-dev
 Description: Instrument-Neutral Device Interface library -- development files
  INDI (Instrument-Neutral Device Interface) is a distributed XML-based
@@ -76,7 +78,7 @@
 Priority: extra
 Section: debug
 Architecture: any
-Depends: libindi0a (= ${binary:Version}), ${misc:Depends}
+Depends: libindi0b (= ${binary:Version}), ${misc:Depends}
 Suggests: indi-bin (= ${binary:Version})
 Pre-Depends: ${misc:Pre-Depends}
 Description: Instrument-Neutral Device Interface library -- debug symbols
